Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200710-07 ] Tk: Buffer overflow
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1571

PostPosted: Mon Oct 08, 2007 12:26 am    Post subject: [ GLSA 200710-07 ] Tk: Buffer overflow Reply with quote

Gentoo Linux Security Advisory

Title: Tk: Buffer overflow (GLSA 200710-07)
Severity: normal
Exploitable: remote
Date: October 07, 2007
Bug(s): #192539
ID: 200710-07

Synopsis

A buffer overflow vulnerability has been discovered in Tk.

Background

Tk is a toolkit for creating graphical user interfaces.

Affected Packages

Package: dev-lang/tk
Vulnerable: < 8.4.15-r1
Unaffected: >= 8.4.15-r1
Architectures: All supported architectures


Description

Reinhard Max discovered a boundary error in Tk when processing an interlaced GIF with two frames where the second is smaller than the first one.

Impact

A remote attacker could entice a user to open a specially crafted GIF image with a Tk-based software, possibly resulting in the execution of arbitrary code with the privileges of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All Tk users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-lang/tk-8.4.15-r1"


References

CVE-2007-4851
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum